> For the complete documentation index, see [llms.txt](https://docs.sharinpix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sharinpix.com/documentation/cookbook/organization-utils-methods.md).

# Organization Utils Methods

This article presents our organization's Utils methods, which are utility methods that modify the [organization-wide SharinPix settings](/documentation/mobile-app/sharinpix-mobile-app-global-configuration.md).

## Organization Utils Methods Example

**The organization Utils methods include:**

* [getMobileAppConfig:](#getmobileappconfig) Fetches your organization's SharinPix Mobile app configuration
* [updateMobileAppConfig:](#updatemobileappconfig) Updates your organization's SharinPix Mobile app configuration

### getMobileAppConfig

*global Object **getMobileAppConfig**()*

* Fetches your organization's SharinPix Mobile app configuration

```apex
System.debug(sharinpix.OrgUtils.getMobileAppConfig());
```

Example mobile app config on the SharinPix Admin dashboard:

![](https://2221230591-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F5EvYRrLbUyvRh8o1jmMG%2Fuploads%2Fgit-blob-04504eb50dbf5eec153bcfc799237c580531c945%2FScreenshot%202025-02-20%20at%2011.28.36%20\(1\)%20\(2\).png?alt=media)

Example output from the *getMobileAppConfig()* :

```json
{
  "annotation_config": "https://app.sharinpix.com/o/bc40/annotation_configs/5c9a7083-15a5-4027-a652-2e7b94e742c6",
  "checklists": {
    "Handbags": {
      "form": [
        {
          "default_option": "",
          "label": "Status",
          "optional": false,
          "options": [
            "OK",
            "N/A",
            "Uncertain"
          ],
          "type": "select",
          "value": "status"
        }
      ],
      "tags": [
        "Zipper**5",
        "Logo**2",
        "Color**0"
      ]
    }
  }
}
```

### updateMobileAppConfig

*global Object **updateMobileAppConfig**(Map\<String, Object> **config**)*

* Updates your organization's SharinPix Mobile app configuration

#### Using the updateMobileAppConfig method to update the mobile app configurations.

Below an Apex Map\<String, Object> is initialized and used as parameter for the updateMobileAppConfig method. The update will provide the Checklist1 to be used in the mobile app with its available tags and other parameters.

```apex
Map<String, Object> config = new Map<String, Object> {
     'Checklist1' => new Map<String, Object> {
        'tags' => new List<String> { 'Middle', 'After', 'Fill Material' },
        'await_upload' => true
    }
};
    
sharinpix.OrgUtils.updateMobileAppConfig(config);
```

Example Mobile app config on the Sharinpix Admin dashboard after update:

![](https://2221230591-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F5EvYRrLbUyvRh8o1jmMG%2Fuploads%2Fgit-blob-9a679f67853a08ded4cba09ff6df0866eb2a3e05%2FScreenshot%202025-01-20%20at%2014.08.20%20\(1\)%20\(2\).png?alt=media)

#### Using the updateMobileAppConfig method to clear the mobile app configurations.

The example below resets the organization's mobile app configuration.

```apex
Map<String, Object> config = new Map<String, Object>();

sharinpix.OrgUtils.updateMobileAppConfig(config);
```

Example Mobile app config on the Sharinpix Admin dashboard after reset:


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sharinpix.com/documentation/cookbook/organization-utils-methods.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
